### Method

# Gtk IconView set_activate_on_single_click

#### Declaration [src]

    void
    gtk_icon_view_set_activate_on_single_click (
      GtkIconView* icon_view,
      gboolean single
    )

#### Description [src]

Causes the `GtkIconView`::item-activated signal to be emitted on a single click instead of a double click.

#### Parameters

`single` | `gboolean`
| `TRUE` to emit item-activated on a single click.